Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77886 - floppy io-port in use
Summary: floppy io-port in use
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-14 20:35 UTC by Bob Gorman
Modified: 2007-04-18 16:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-11 15:47:36 UTC


Attachments (Terms of Use)

Description Bob Gorman 2002-11-14 20:35:33 UTC
Description of Problem:

Floppy drive not available under RH8.

Version-Release number 
of selected component (if applicable):

TEAC

How Reproducible:

Very.

Steps to 
Reproduce:
1. Boot OS
2. 
3. 

Actual Results:

floppy0: Floppy io-port 0x03f2 in 
use

# dd if=/dev/fd0 of=/dev/null
dd: opening `/dev/fd0': No such device or 
address

Expected Results:

# dd if=/dev/fd0 of=/dev/null
2880+0 records in 
2880+0 
records out

Additional Information:

# cat /proc/ioports

0000-001f : dma1
0020-
003f : pic1
0040-005f : timer
0060-006f : keyboard
0070-007f : rtc
0080-008f : dma page 
reg
00a0-00bf : pic2
00c0-00df : dma2
00f0-00ff : fpu
01f0-01f7 : Micron FDC 37C665
  01f0-
01f7 : ide0
02f8-02ff : serial(auto)
0300-030f : 3c509
03c0-03df : vga+
03f4-03f7 : Micron 
FDC 37C665
  03f6-03f6 : ide0
03f8-03ff : serial(auto)
0cf8-0cfb : PCI conf2
fc00-fcff : 
Adaptec AHA-7850

# cat /var/log/dmseg

Linux version 2.4.18-14 
(bhcompile@stripples.devel.redhat.com) (gcc version 3.2 20020903 (Red Hat Linux 8.0 3.2-7)) 
#1 Wed Sep 4 11:57:57 EDT 2002
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 
000000000009fc00 (usable)
 BIOS-e820: 0000000000100000 - 0000000008000000 (usable)
 BIOS-
e820: 00000000fffc0000 - 0000000100000000 (reserved)
128MB LOWMEM available.
On node 0 
totalpages: 32768
zone(0): 4096 pages.
zone(1): 28672 pages.
zone(2): 0 pages.
Kernel 
command line: ro root=LABEL=/ text hda=4960,16,63
ide_setup: 
hda=4960,16,63
Initializing CPU#0
Detected 66.646 MHz processor.
Speakup v-1.00 CVS: 
Tue Jun 11 14:22:53 EDT 2002 : initialized
Console: colour VGA+ 80x25
Calibrating delay 
loop... 132.71 BogoMIPS
Memory: 125036k/131072k available (1193k kernel code, 4624k 
reserved, 984k data, 200k init, 0k highmem)
Dentry cache hash table entries: 16384 (order: 5, 
131072 bytes)
Inode cache hash table entries: 8192 (order: 4, 65536 bytes)
Mount cache hash 
table entries: 2048 (order: 2, 16384 bytes)
ramfs: mounted with options: <defaults>
ramfs: 
max_pages=15757 max_file_pages=0 max_inodes=0 max_dentries=15757
Buffer cache hash 
table entries: 8192 (order: 3, 32768 bytes)
Page-cache hash table entries: 32768 (order: 5, 
131072 bytes)
CPU: Before vendor init, caps: 000001bf 00000000 00000000, vendor = 0
Intel 
Pentium with F0 0F bug - workaround enabled.
CPU: After vendor init, caps: 000001bf 00000000 
00000000 00000000
CPU:     After generic, caps: 000001bf 00000000 00000000 00000000
CPU:             
Common caps: 000001bf 00000000 00000000 00000000
CPU: Intel Pentium 60/66 stepping 05
Hmm, 
FPU with FDIV bug.
Checking 'hlt' instruction... OK.
POSIX conformance testing by 
UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr 
type: none
PCI: PCI BIOS revision 2.10 entry at 0xf1440, last bus=0
PCI: Using configuration 
type 2
PCI: Probing PCI hardware
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play 
device found
speakup:  initialized device: /dev/synth, node (MAJOR 10, MINOR 25)
Linux 
NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing 
RT netlink socket
apm: BIOS not found.
Starting kswapd
VFS: Diskquotas version 
dquot_6.5.0 initialized
Detected PS/2 Mouse Port.
pty: 512 Unix98 ptys 
configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ 
SERIAL_PCI ISAPNP enabled
ttyS0 at 0x03f8 (irq = 4) is a 16550A
ttyS1 at 0x02f8 (irq = 3) is a 
16550A
Real Time Clock Driver v1.10e
block: 240 slots per queue, batch=60
Uniform Multi-
Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; 
override with idebus=xx
RZ1000: IDE controller on PCI bus 00 dev 08
RZ1000: chipset revision 
1
RZ1000: not 100% native mode: will probe irqs later
ide0: disabled chipset read-ahead 
(buggy RZ1000/RZ1001)
ide1: disabled chipset read-ahead (buggy RZ1000/RZ1001)
hda: WDC 
AC22500L, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hda: 4999680 sectors (2560 MB) 
w/256KiB Cache, CHS=4960/16/63
ide-floppy driver 0.99.newide
Partition check:
 hda: 
hda1 hda2 hda3
Floppy drive(s): fd0 is 1.44M
floppy0: Floppy io-port 0x03f2 in use
NET4: 
Frame Diverter 0.46
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 
blocksize
ide-floppy driver 0.99.newide
md: md driver 0.90.0 MAX_MD_DEVS=256, 
MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun 
DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing 
cache hash table of 1024 buckets, 8Kbytes
TCP: Hash tables configured (established 8192 bind 
16384)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux 
NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 249k freed
VFS: 
Mounted root (ext2 filesystem).
SCSI subsystem driver Revision: 1.00
kmod: failed to exec 
/sbin/modprobe -s -k scsi_hostadapter, errno = 2
scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA 
DRIVER, Rev 6.2.8
        <Adaptec 2902/04/10/15/20/30C SCSI adapter>
        aic7850: Single Channel A, 
SCSI Id=7, 3/253 SCBs

blk: queue c14ee814, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: 
TOSHIBA   Model: CD-ROM XM-3501TA  Rev: 2694
  Type:   CD-ROM                             ANSI SCSI revision: 02
blk: queue 
c7d21414, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: Seagate   Model: STT8000N          Rev: 3.22
  
Type:   Sequential-Access                  ANSI SCSI revision: 02
blk: queue c7d21814, I/O limit 4095Mb (mask 
0xffffffff)
Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 
seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 
200k freed
EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,2), internal journal
Adding Swap: 
262072k swap-space (priority -1)
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-
0.9.18, 14 May 2002 on ide0(3,1), internal journal
EXT3-fs: mounted filesystem with ordered 
data mode.
st: Version 20020205, bufsize 32768, wrt 30720, max init. bufs 4, s/g segs 
16
Attached scsi tape st0 at scsi0, channel 0, id 6, lun 0

---------------------------------

Please let me know if there is 
any other info you need.  TIA!

Bug#: 69048 looks related.

Comment 1 Bob Gorman 2002-11-18 15:16:51 UTC
# cat pci

PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: Intel Corp. 
82434LX [Mercury/Neptune] (rev 3).
      Master Capable.  Latency=64.
  Bus  0, device   1, function  
0:
    IDE interface: Micron FDC 37C665 (rev 1).
      I/O at 0x1f0 [0x1f7].
      I/O at 0x3f4 [0x3f7].
  
Bus  0, device   2, function  0:
    Non-VGA unclassified device: Intel Corp. 82378IB [SIO ISA Bridge] 
(rev 3).
  Bus  0, device   6, function  0:
    SCSI storage controller: Adaptec AHA-7850 (rev 3).
      IRQ 
11.
      Master Capable.  Latency=64.  Min Gnt=4.Max Lat=4.
      I/O at 0xfc00 [0xfcff].
      Non-
prefetchable 32 bit memory at 0xffbff000 [0xffbfffff].
  Bus  0, device  12, function  0:
    VGA 
compatible unclassified device: S3 Inc. 86c864 [Vision 864 DRAM] vers 1
(rev 0).
      Non-
prefetchable 32 bit memory at 0xa0000000 [0xa07fffff].

Comment 2 mandrews 2002-12-02 16:10:29 UTC
I am seeing the same behavior on old HP Vectra PC's we have - any additional
diagnostic info I can provide?

Martin
mandrews@cle.lionbioscience.com

Comment 3 Bob Gorman 2002-12-02 16:33:03 UTC
Info on the ide-floppy driver is available at:

http://sourceforge.net/projects/ide-
floppy/
http://paulbristow.net/linux/idefloppy.html

I didn't find anything of 
immediate help.
But if you do, PLMK!



Comment 4 Gregg Nelson 2003-03-11 03:37:32 UTC
I see the same problem with RH 8.0 on my Digital Hinote Ultra 2000.
floppy io_port 0x03f2 in use.
Cat /proc/ioports shows no device on that port or range.

floppy worked at RH 7.2 & 7.3.

Comment 5 mandrews 2003-03-11 14:03:41 UTC
I can' remember which kernel version solved it, but a kernel update in the last 
month or so resolved this error for me.

Martin
mandrews@cle.lionbioscience.com

Comment 6 Bob Gorman 2003-03-11 15:47:36 UTC
Indeed, this appears to be fixed for RedHat 8 as of kernel 2.4.18-24.8.0.



Note You need to log in before you can comment on or make changes to this bug.